org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PatternCompositionConstraint

- All Superinterfaces:
    Constraint, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternCompositionConstraintImpl

      public interface PatternCompositionConstraint
      extends Constraint

  A representation of the model object 'Pattern Composition Constraint'.

  The following features are supported:

  - `Negative`
  - `Call`
  See Also:
    `PatternLanguagePackage.getPatternCompositionConstraint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatternCall` | `getCall()` Returns the value of the 'Call' containment reference.
    `boolean` | `isNegative()` Returns the value of the 'Negative' attribute.
    `void` | `setCall(PatternCall value)` Sets the value of the '`Call`' containment reference.
    `void` | `setNegative(boolean value)` Sets the value of the '`Negative`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isNegative

          boolean isNegative()

      Returns the value of the 'Negative' attribute.

      If the meaning of the 'Negative' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Negative' attribute.
      See Also:
        `setNegative(boolean)`, `PatternLanguagePackage.getPatternCompositionConstraint_Negative()`

    - #### setNegative

          void setNegative(boolean value)

      Sets the value of the '`Negative`' attribute.
      Parameters:
        `value` - the new value of the 'Negative' attribute.
      See Also:
        `isNegative()`

    - #### getCall

          PatternCall getCall()

      Returns the value of the 'Call' containment reference.

      If the meaning of the 'Call' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Call' containment reference.
      See Also:
        `setCall(PatternCall)`, `PatternLanguagePackage.getPatternCompositionConstraint_Call()`

    - #### setCall

          void setCall(PatternCall value)

      Sets the value of the '`Call`' containment reference.
      Parameters:
        `value` - the new value of the 'Call' containment reference.
      See Also:
        `getCall()`